PLaSK library

Loading...
Searching...
No Matches
Classes | Public Types | Public Member Functions | Public Attributes | List of all members
plask::gain::freecarrier::FreeCarrierGainSolver3D::DataBase< DT > Struct Template Reference

Base for lazy data implementation. More...

Inheritance diagram for plask::gain::freecarrier::FreeCarrierGainSolver3D::DataBase< DT >:
[legend]
Collaboration diagram for plask::gain::freecarrier::FreeCarrierGainSolver3D::DataBase< DT >:
[legend]

## Classes
struct | AveragedData

## Public Types
typedef FreeCarrierGainSolver3D::ActiveRegionParams | ActiveRegionParams
Public Types inherited from plask::LazyDataImpl< DT >
typedef DT | CellType

## Public Member Functions
| DataBase (FreeCarrierGainSolver3D *solver, const shared_ptr< const MeshD< 3 > > &dst_mesh)
size_t | size () const override
| Get the number of elements in this vector.
Public Member Functions inherited from plask::LazyDataImpl< DT >
virtual | ~LazyDataImpl ()
virtual DT | at (std::size_t index) const=0
| Get index-th value from vector.
virtual DataVector< const DT > | getAll () const
| Get all values as non-lazy vector.
virtual DataVector< DT > | claim () const

## Public Attributes
FreeCarrierGainSolver3D * | solver
| Solver.
shared_ptr< const MeshD< 3 > > | dest_mesh
| Destination mesh.
InterpolationFlags | interpolation_flags
| Interpolation flags.
std::vector< CompressedSetOfNumbers<> > | regions
| Map from destination mesh to active region.

## Detailed Description

template<typename DT>
struct plask::gain::freecarrier::FreeCarrierGainSolver3D::DataBase< DT >

Base for lazy data implementation.

Definition at line 179 of file freecarrier3d.cpp.

## Member Typedef Documentation

## ◆ ActiveRegionParams

template<typename DT >

typedef FreeCarrierGainSolver3D::ActiveRegionParams plask::gain::freecarrier::FreeCarrierGainSolver3D::DataBase< DT >::ActiveRegionParams

Definition at line 219 of file freecarrier3d.cpp.

## Constructor & Destructor Documentation

## ◆ DataBase()

template<typename DT >

plask::gain::freecarrier::FreeCarrierGainSolver3D::DataBase< DT >::DataBase | ( | FreeCarrierGainSolver3D * | solver,
|  | const shared_ptr< const MeshD< 3 > > & | dst_mesh
| ) |  |
| inline

Definition at line 226 of file freecarrier3d.cpp.

## Member Function Documentation

## ◆ size()

template<typename DT >

size_t plask::gain::freecarrier::FreeCarrierGainSolver3D::DataBase< DT >::size | ( |  | ) | const
| inline override virtual

Get the number of elements in this vector.

Returns
  the number of elements in this vector

Implements plask::LazyDataImpl< DT >.

Definition at line 249 of file freecarrier3d.cpp.

## Member Data Documentation

## ◆ dest_mesh

template<typename DT >

shared_ptr<const MeshD<3> > plask::gain::freecarrier::FreeCarrierGainSolver3D::DataBase< DT >::dest_mesh

Destination mesh.

Definition at line 222 of file freecarrier3d.cpp.

## ◆ interpolation_flags

template<typename DT >

InterpolationFlags plask::gain::freecarrier::FreeCarrierGainSolver3D::DataBase< DT >::interpolation_flags

Interpolation flags.

Definition at line 223 of file freecarrier3d.cpp.

## ◆ regions

template<typename DT >

std::vector<CompressedSetOfNumbers<> > plask::gain::freecarrier::FreeCarrierGainSolver3D::DataBase< DT >::regions

Map from destination mesh to active region.

Definition at line 224 of file freecarrier3d.cpp.

## ◆ solver

template<typename DT >

FreeCarrierGainSolver3D* plask::gain::freecarrier::FreeCarrierGainSolver3D::DataBase< DT >::solver

Solver.

Definition at line 221 of file freecarrier3d.cpp.

The documentation for this struct was generated from the following file:

- solvers/gain/freecarrier/freecarrier3d.cpp